/**
 * 常用接口
 */
import request from '@/utils/request'
import Vue from 'vue'

// 模板下载
export function downloadTemplate(fileName) {
  const basetConfig = Vue.prototype.baseConfig // 注意该行应放在export里面，否则获取不到值
  const lampPath = basetConfig.lampBasePath
  return request({
    url: lampPath + 'template/download',
    method: 'get',
    params: {
      filename: fileName
    },
    responseType: 'blob' // 这一步也很关键，一定要加上 responseType 值为 blob
  })
}

// 图片上传
export function Uploadimg(fileobj) {
  const param = new FormData()
  param.append('file', fileobj.file)
  return request({
    url: 'fileUpload',
    method: 'post',
    headers: { 'Content-Type': 'multipart/form-data' },
    data: param
  })
}
